import IRequest from '../interfaces/IRequest';
export default class ServiceRequest implements IRequest {
    private request;
    private name;
    private url;
    constructor(request: IRequest, name?: string, url?: string);
    get(url: string, data?: any): Promise<any>;
    post(url: string, data?: any): Promise<any>;
    put(url: string, data?: any): Promise<any>;
    patch(url: string, data?: any): Promise<any>;
    delete(url: string, data?: any): Promise<any>;
    download(url: string, fileName: string, data?: any): Promise<void>;
    private getData;
    private handleError;
}
